# Create a device fingerprint

Creates a new device fingerprint factor used to resolve a SCA possession challenge type.

The request and response are encrypted using the JOSE framework. Please refer to the SCA over API guide to understand how encryption and decryption work.

Endpoint: POST /v2/profiles/{profileId}/device-fingerprints
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)
    The profile ID.

## Header parameters:

  - `Accept` (string, required)

  - `Accept-Encoding` (string, required)

  - `Content-Encoding` (string, required)

  - `X-tw-jose-method` (string, required)

## Response 200 fields (application/json):

  - `deviceFingerprintId` (string)
    The identifier of the device fingerprint.

  - `createdAt` (string)
    The device fingerprint creation timestamp.


## Response 400 fields

## Response 409 fields
